function ZsjcAction(context, id){
    this.context = context
    this.id = id
    this.obj = new Zsjc({
        url : context.local_wms_path
    })
}

ZsjcAction.prototype = {
    create(){

    },
    start(){

    },
    stop(){
    },
    click(){
    }
}

function Zsjc(opt){
    this.name = "Zsjc"
    this.tileData = {
        style:"耕地",
        format:"image/png",
        layers:"wuhan:qingyuan_crop_2_cast",
        url: opt.url
    }

    this.layerData = {
        layer : null,
        source : null
    }

    this.layerData.source = new ol.source.TileWMS({
        url: this.tileData.url,
        params: {'FORMAT': this.tileData.format,
            'VERSION': '1.1.1',
            tiled: true,
            "STYLES": this.tileData.style,
            "LAYERS": this.tileData.layers,
            "exceptions": 'application/vnd.ogc.se_inimage'
        }
    })

    this.layerData.layer = new ol.layer.Tile({
        source: this.layerData.source,
        zIndex: 1
    });

}

Zsjc.prototype = {
}